## findlib 1.1.2pl1

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	$(MAKE) install-meta
 	cd src/findlib; $(MAKE) install-num-top
 	$(MAKE) install-config
+	cp tools/safe_camlp4 $(OCAMLFIND_BIN)
 
 uninstall:
 	$(MAKE) uninstall-doc
