## findlib 1.2.1

=== Makefile ===
--- 
+++ 
@@ -17,12 +17,14 @@
 	for p in $(PARTS); do ( cd src/$$p; $(MAKE) opt ); done
 
 install:
+	mkdir -p $(prefix)$(OCAMLFIND_BIN)
+	mkdir -p $(prefix)$(OCAMLFIND_MAN)
 	for p in $(PARTS); do ( cd src/$$p; $(MAKE) install ); done
-	$(MAKE) install-doc
 	$(MAKE) install-meta
 	cd src/findlib; $(MAKE) install-num-top
 	$(MAKE) install-config
-	cp tools/safe_camlp4 $(OCAMLFIND_BIN)
+	cp tools/safe_camlp4 $(prefix)$(OCAMLFIND_BIN)
+	$(MAKE) install-doc
 
 uninstall:
 	$(MAKE) uninstall-doc
@@ -48,8 +50,10 @@
 all-config: findlib.conf
 
 findlib.conf: findlib.conf.in 
-	sed -e 's;@SITELIB@;$(OCAML_SITELIB);g' \
-	    findlib.conf.in >findlib.conf
+	USE_CYGPATH="$(USE_CYGPATH)"; \
+	export USE_CYGPATH; \
+	cat findlib.conf.in | \
+		tools/patch '@SITELIB@' '$(OCAML_SITELIB)' >findlib.conf
 	if ocamlc.opt >/dev/null 2>&1; then \
 		echo 'ocamlc="ocamlc.opt"' >>findlib.conf; \
 	fi
@@ -111,3 +115,16 @@
 	    echo "$$iflist" >"site-lib-src/$$x/interfaces.out"; \
 	done
 
+######################################################################
+# The following is from Pietro Abata <pietro.abate@anu.edu.au>
+# to create MacOS X packages. I did not test it, just include it.
+
+.PHONY: package-macosx
+
+package-macosx: all opt
+	mkdir -p package-macosx/root
+	export prefix=`pwd`/package-macosx/root && make install 
+	export VERSION=1.1.2 && tools/make-package-macosx
+
+clean-macosx:
+	sudo rm -rf package-macosx
