=== src/findlib/Makefile ===
--- 
+++ 
@@ -26,8 +26,8 @@
 
 XOBJECTS       = $(OBJECTS:.cmo=.cmx)
 
-OCAMLFIND_OBJECTS = frontend.cmo
-OCAMLFIND_XOBJECTS = frontend.cmx
+OCAMLFIND_OBJECTS = ocaml_args.cmo frontend.cmo
+OCAMLFIND_XOBJECTS = ocaml_args.cmx frontend.cmx
 
 NUMTOP_OBJECTS = num_top_printers.cmo num_top.cmo
 
@@ -53,14 +53,21 @@
 	$(OCAMLOPT) -a -o findlib.cmxa $(XOBJECTS)
 
 findlib_config.ml: findlib_config.mlp 
-	sed -e 's;@CONFIGFILE@;$(OCAMLFIND_CONF);g' \
-	    -e 's;@STDLIB@;$(OCAML_CORE_STDLIB);g' \
-	    -e 's;@AUTOLINK@;$(OCAML_AUTOLINK);g' \
-	    findlib_config.mlp >findlib_config.ml
+	USE_CYGPATH="$(USE_CYGPATH)"; \
+	export USE_CYGPATH; \
+	cat findlib_config.mlp | \
+		$(TOP)/tools/patch '@CONFIGFILE@' '$(OCAMLFIND_CONF)' | \
+		$(TOP)/tools/patch '@STDLIB@' '$(OCAML_CORE_STDLIB)' | \
+		sed -e 's;@AUTOLINK@;$(OCAML_AUTOLINK);g' \
+		    -e 's;@SYSTEM@;$(SYSTEM);g' \
+		     >findlib_config.ml
 
 topfind: topfind.p
-	sed -e 's;@SITELIB@;$(OCAML_SITELIB);g' \
-	    topfind.p >topfind
+	USE_CYGPATH="$(USE_CYGPATH)"; \
+	export USE_CYGPATH; \
+	cat topfind.p | \
+		$(TOP)/tools/patch '@SITELIB@' '$(OCAML_SITELIB)' \
+	    	    >topfind
 
 num_top.cma: $(NUMTOP_OBJECTS)
 	$(OCAMLC) -a -o num_top.cma $(NUMTOP_OBJECTS)
