=== debian/changelog ===
findlib (1.2.7+debian-1build3) precise; urgency=low

  * Rebuild to know about ocamlopt on armhf.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Jan 2012 18:14:27 +0000

findlib (1.2.7+debian-1build2) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Nov 2011 20:51:45 +0000

findlib (1.2.7+debian-1build1) oneiric; urgency=low

  * Rebuild to pick up armel ocaml fixes.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 19 Aug 2011 13:15:30 -0600

findlib (1.2.7+debian-1) unstable; urgency=low

  * New upstream release
  * Add myself to Uploaders
  * Add patches:
    - Make Camlp4 depend on Dynlink on every arch (Closes: #630490)
    - Use a relative path in META.camlp4 (Closes: #628021)
    - Disable graphics and labltk when unavailable (Closes: #605695)

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Mon, 27 Jun 2011 22:45:07 +0200

findlib (1.2.6+debian-2) unstable; urgency=low

  * Updated 0002-Extra-configuration-search-path.patch
    to allow overriding Debian-specific configuration 
    variables in findlib's main configuration.
    This issue appear when using for instance mingw32-ocaml
    where the main configuration file changed but Debian-specific
    settings override it.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 04 Apr 2011 20:06:47 -0500

findlib (1.2.6+debian-1) unstable; urgency=low

  * New upstream release
  * Make ocaml-findlib depend only on libfindlib-ocaml
  * Switch source package format to 3.0 (quilt)
  * Rewrite debian/rules using dh with overrides
  * Bump Standards-Version to 3.9.1
  * Bump debhelper compat level to 8
  * Remove Stefano from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Sat, 12 Feb 2011 12:04:41 +0100

findlib (1.2.5+debian-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release:
    - remove install_missing_cmi.dpatch (merged upstream)
    - repackage upstream with documentation sources:
      + add explanations to README.source
      + take it into account in debian/watch
  * Add new binary packages:
    - ocaml-findlib: keep there executables not depending on X
    - ocaml-findlib-wizard: make_wizard (which depends on X)
    - libfindlib-ocaml{,-dev}: the remaining files, dispatched as usual
  * debian/control:
    - build-depends on ocaml-nox (>= 3.11.1-3~)
    - update e-mail addresses
    - move to section ocaml
    - update Standards-Version to 3.8.3
  * Update debian/copyright

  [ Mehdi Dogguy ]
  * Add myself to uploaders
  * Use dh_ocaml in the build process
    - Modify debian/control accordingly
  * Build-depend on dh-ocaml 0.9

 -- Stéphane Glondu <glondu@debian.org>  Sat, 26 Sep 2009 10:14:54 +0200

findlib (1.2.4-2) unstable; urgency=low

  * add back "directory" directive to site_lib_metas patch, fixes FTBFS of
    reverse dependent packages which need the "num" findlib package
    (revert "simplify site_lib_metas" change in -1)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 28 Feb 2009 23:33:44 +0100

findlib (1.2.4-1) unstable; urgency=low

  [ Stephane Glondu ]
  * New Upstream Version
  * Update patches:
    - remove natdynlink (merged upstream)
    - simplify site_lib_metas
    - update install_missing_cmi
  * Remove versioned dependencies on ocaml
  * Bump debhelper compatibility to 7 (no changes)

  [ Stefano Zacchiroli ]
  * uploading to unstable
    - bump ocaml build-dep to (>= 3.11) to entail proper dep-waits
  * debian/rules: invoke ocaml.mk as a "rules" snippet
  * debian/control: version build-dep on dh-ocaml to 0.4.1 (to avoid the
    "remove heading white spaces" bug for debian/patches/*.in)
  * debian/svn-deblayout: remove no longer needed SVN setting
  * debian/source.lintian-overrides: fix typo in the tag name (which
    inhibited the override to work)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 24 Feb 2009 13:54:26 +0100

findlib (1.2.3-1) experimental; urgency=low

  * New Upstream Version
  * Add README.source
  * Update Standards-Version to 3.8.0
  * Add myself to Uploaders
  * Update versioned dependencies to OCaml

 -- Stephane Glondu <steph@glondu.net>  Fri, 05 Dec 2008 19:59:13 +0100

findlib (1.2.1-6) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * make Vcs-* fields point to the new git repository

  [ Stephane Glondu ]
  * Add natdynlink.dpatch, to add dynlink.cmxa to META.dynlink, if
    available.

  [ Romain Beauxis ]
  * Added build-dep on dh-ocaml
  * Upload and build against ocaml 3.11 in experimental
  * Versioned ocaml-related build-dep to avoid confusion 

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 28 Nov 2008 01:08:26 +0100

findlib (1.2.1-5) unstable; urgency=low

  [ Stephane Glondu ]
  * Update Homepage, fix watch file.

  [ Ralf Treinen ]
  * Changed doc-base section to Programming/OCaml

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 04 Jun 2008 13:55:33 +0200

findlib (1.2.1-4.1) experimental; urgency=low

  * Rebuild with ocaml 3.10.2, NMU to experimental with maintainer's blessing.
  * Install docs into section Programming instead of Apps/Programming.

 -- Ralf Treinen <treinen@debian.org>  Sat, 22 Mar 2008 20:23:22 +0100

findlib (1.2.1-4) unstable; urgency=low

  * fix vcs-svn field to point just above the debian/ dir
  * reword long description, also mentioning "ocamlfind" (Closes: #460669)
  * bump build dep to ocaml 3.10.1

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 09 Feb 2008 17:31:24 +0100

findlib (1.2.1-3) unstable; urgency=low

  * update standards-version, no changes needed
  * setting me as an uploader, d-o-m as the maintainer
  * avoid installing empty /usr/share/ocaml-findlib/, it will be created by
    packages shipping stuff there (fixes lintian warning)
  * avoid installing empty /usr/share/man/man3/ (fixes lintian warning)
  * add lintian override for missing stddirs.dpatch patch in 00list; the patch
    is automatically generated from stddirs.dpatch.in
  * debian/patches/install_missing_cmi.dpatch: new patch to install some

