## findlib 1.2.8+debian

=== debian/changelog ===
findlib (1.2.8+debian-1) unstable; urgency=low

  * New upstream release
  * Switch debian/copyright to format 1.0
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Feb 2012 08:50:01 +0100
