=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  m4,
  gawk | awk,
  dh-ocaml (>= 0.9~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/findlib.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/findlib.git
 Homepage: http://projects.camlcity.org/projects/findlib.html
