=== debian/changelog ===
findlib (1.3.1-1) unstable; urgency=low

  * New upstream release
    - documentation sources are now included in the official upstream
      tarball, repackaging is no longer needed
  * Update debian/copyright

 -- Stéphane Glondu <glondu@debian.org>  Tue, 05 Jun 2012 11:24:23 +0200
