=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,6 @@
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:
 	if [ -f Makefile.config ]; then $(MAKE) clean; fi
-	ln -sf doc/README README
 	-find . -name META -delete
 	-rm -f src/findlib/depend src/findlib/fl_metascanner.ml
 	-rm -f Makefile.config ocargs.log src/findlib/ocaml_args.ml
