## findlib 1.4

=== Makefile ===
--- 
+++ 
@@ -63,6 +63,9 @@
 	if ocamldep.opt >/dev/null 2>&1; then \
 		echo 'ocamldep="ocamldep.opt"' >>findlib.conf; \
 	fi
+	if ocamldoc.opt >/dev/null 2>&1; then \
+		echo 'ocamldoc="ocamldoc.opt"' >>findlib.conf; \
+	fi
 
 .PHONY: install-doc
 install-doc:
@@ -105,7 +108,7 @@
             if [ ! -f "site-lib-src/$$x/interfaces.in" ]; then continue; fi; \
 	    cma_spec=`cat site-lib-src/$$x/interfaces.in`;  \
 	    for cma in $$d/$$cma_spec; do               \
-		intf=`objinfo $$cma |                   \
+		intf=`ocamlobjinfo $$cma |                   \
 		      grep 'Unit name:' |               \
 		      sed -e 's/^  Unit name: //' |     \
 		      sort |                            \
