=== src/findlib/Makefile ===
--- 
+++ 
@@ -8,14 +8,16 @@
 #----------------------------------------------------------------------
 
 TOP=../..
+include $(TOP)/Makefile.config
 
 NAME = findlib
 
-OCAMLC = ocamlc
-OCAMLOPT = ocamlopt
+# Need compiler-libs since ocaml-4.00
+OCAMLC = ocamlc -I +compiler-libs
+OCAMLOPT = ocamlopt -I +compiler-libs
 OCAMLDEP = ocamldep
 OCAMLLEX = ocamllex
-CAMLP4O =  camlp4 pa_o.cmo pa_op.cmo pr_o.cmo --
+#CAMLP4O =  camlp4 pa_o.cmo pa_op.cmo pr_o.cmo --
 #CAMLP4O =  camlp4 pa_o.cmo pa_op.cmo pr_dump.cmo --
 
 
@@ -36,12 +38,15 @@
 opt: ocamlfind_opt$(EXEC_SUFFIX) findlib.cmxa topfind
 
 ocamlfind$(EXEC_SUFFIX): findlib.cma $(OCAMLFIND_OBJECTS)
-	$(OCAMLC) -custom -o ocamlfind$(EXEC_SUFFIX) findlib.cma unix.cma \
+	$(OCAMLC) $(CUSTOM) -o ocamlfind$(EXEC_SUFFIX) -g findlib.cma unix.cma \
 	          $(OCAMLC_FLAGS) $(OCAMLFIND_OBJECTS)
 
 ocamlfind_opt$(EXEC_SUFFIX): findlib.cmxa $(OCAMLFIND_XOBJECTS)
 	$(OCAMLOPT) -o ocamlfind_opt$(EXEC_SUFFIX) findlib.cmxa unix.cmxa \
 		  $(OCAMLOPT_FLAGS) $(OCAMLFIND_XOBJECTS)
+
+test_parser$(EXEC_SUFFIX): fl_metascanner.cmx test_parser.cmx fl_metatoken.cmx fl_meta.cmx
+	$(OCAMLOPT) -o test_parser$(EXEC_SUFFIX) fl_meta.cmx fl_metatoken.cmx fl_metascanner.cmx test_parser.cmx
 
 findlib.cma: $(OBJECTS)
 	$(OCAMLC) -a -o findlib.cma $(OBJECTS)
@@ -62,10 +67,10 @@
 		    -e 's;@SYSTEM@;$(SYSTEM);g' \
 		     >findlib_config.ml
 
-topfind: topfind.p
+topfind: topfind_rd$(OCAML_REMOVE_DIRECTORY).p
 	USE_CYGPATH="$(USE_CYGPATH)"; \
 	export USE_CYGPATH; \
-	cat topfind.p | \
+	cat topfind_rd$(OCAML_REMOVE_DIRECTORY).p | \
 		$(TOP)/tools/patch '@SITELIB@' '$(OCAML_SITELIB)' \
 	    	    >topfind
 
@@ -76,6 +81,7 @@
 	rm -f *.cmi *.cmo *.cma *.cmx *.a *.o *.cmxa \
 	  fl_meta.ml findlib_config.ml findlib.mml topfind \
 	  ocamlfind$(EXEC_SUFFIX) ocamlfind_opt$(EXEC_SUFFIX)
+	#rm -f ocaml_args.ml
 
 install: all
 	mkdir -p "$(prefix)$(OCAML_SITELIB)/$(NAME)"
@@ -85,6 +91,11 @@
 	cp $$files "$(prefix)$(OCAML_SITELIB)/$(NAME)"
 	f="ocamlfind$(EXEC_SUFFIX)"; { test -f ocamlfind_opt$(EXEC_SUFFIX) && f="ocamlfind_opt$(EXEC_SUFFIX)"; }; \
 	cp $$f "$(prefix)$(OCAMLFIND_BIN)/ocamlfind$(EXEC_SUFFIX)"
+	# the following "if" block is only needed for 4.00beta2
+	if [ $(OCAML_REMOVE_DIRECTORY) -eq 0 -a -f "$(OCAML_CORE_STDLIB)/compiler-libs/topdirs.cmi" ]; then \
+	    cd "$(OCAML_CORE_STDLIB)/compiler-libs/"; \
+	    cp topdirs.cmi toploop.cmi "$(prefix)$(OCAML_SITELIB)/$(NAME)/"; \
+	fi
 
 install-num-top:
 	mkdir -p "$(prefix)$(OCAML_SITELIB)/num-top"
@@ -104,7 +115,8 @@
 
 # Some 'make' implementations require that .SUFFIXES must occur before
 # the first suffix rule. (E.g. AIX)
-.SUFFIXES: .mll .cmo .cmi .cmx .ml .mli .mml .src
+.SUFFIXES: .mll .cmo .cmi .cmx .ml .mli .mml 
+# .src
 
 .mml.cmo:
 	$(OCAMLC) -g -vmthread -c -impl $<
@@ -121,8 +133,8 @@
 .mli.cmi:
 	$(OCAMLC) -c $<
 
-.src.ml:
-	$(CAMLP4O) -impl $< -o $@
+#.src.ml:
+#	$(CAMLP4O) -impl $< -o $@
 
 # Solaris make does not like the suffix rule .mll.ml,
 # so I replaced it by its single application:
@@ -132,6 +144,5 @@
 # Don't remove fl_metascanner.ml:
 .PRECIOUS: fl_metascanner.ml
 
-include $(TOP)/Makefile.config
 include depend
