=== debian/changelog ===
findlib (1.4-2) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Dec 2013 21:34:58 +0100

findlib (1.4-1) experimental; urgency=low

  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 3.9.4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Jul 2013 11:46:23 +0200

findlib (1.3.3-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 25 Nov 2012 14:38:51 +0100

findlib (1.3.2-1) experimental; urgency=low

  * New upstream release
    - incompatible with 3.x versions of OCaml shipped by Debian

 -- Stéphane Glondu <glondu@debian.org>  Thu, 21 Jun 2012 19:18:38 +0200
