=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
  Nicolas Dandrimont <nicolas.dandrimont@crans.org>
 Build-Depends:
  debhelper (>= 8),
- ocaml-nox (>= 3.11.1-3~),
+ ocaml-nox (>= 4.00.0~beta),
  ocaml,
  camlp4,
  m4,
  gawk | awk,
  dh-ocaml (>= 0.9~)
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/findlib.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/findlib.git
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/findlib.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/findlib.git
 Homepage: http://projects.camlcity.org/projects/findlib.html
 
 Package: ocaml-findlib
