=== debian/rules ===
--- 
+++ 
@@ -53,6 +53,5 @@
 override_dh_auto_clean:
 	if [ -f Makefile.config ]; then $(MAKE) clean; fi
 	-find . -name META -delete
-	-rm -f src/findlib/depend src/findlib/fl_metascanner.ml
 	-rm -f Makefile.config ocargs.log src/findlib/ocaml_args.ml
 	-rm -Rf site-lib-src/camlp4/
