## findlib 1.4.1

=== debian/changelog ===
findlib (1.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Mar 2014 07:46:08 +0100
